package com.lantone.structure.client;


import com.lantone.structure.model.vo.SimilarityVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 调用文本相似度服务
 * @author: 胡敬
 * @time: 2020/03/24 16:40
 */
@FeignClient(value = "Similarity-service", url="${Similarity.url}")
public interface SimilarityServiceClient {

    @PostMapping(value = "")
    String getAnnotation(@RequestBody SimilarityVo similarityVo);
}



