package com.lantone.structure.model.doc.operation;

import com.lantone.structure.model.doc.ModelDoc;
import com.lantone.structure.model.label.OperationDiscussionLabel;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName : Operation
 * @Description : 术后首次病程及谈话记录文档
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:09
 */
@Getter
@Setter
public class OperationDiscussionDoc extends ModelDoc {
    private String operationName;
    OperationDiscussionLabel operationDiscussionLabel = new OperationDiscussionLabel();
}