package com.lantone.structure.model.doc.operation;

import com.lantone.structure.model.doc.ModelDoc;
import com.lantone.structure.model.label.PreoperativeDiscussionLabel;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName : PreoperativeDiscussionDoc
 * @Description : 术前讨论、术前小结文档
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:10
 */
@Getter
@Setter
public class PreoperativeDiscussionDoc extends ModelDoc {
    private String operationName;
    private PreoperativeDiscussionLabel preoperativeDiscussionLabel;

}