package com.lantone.structure.model.label;

import com.lantone.structure.model.entity.Clinical;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : DiagnosisLabel
 * @Description : 诊断依据
 * @Author : 楼辉荣
 * @Date: 2020-03-19 15:02
 */
@Setter
@Getter
public class DiagnosisLabel extends GeneralLabel {
    //临床表现
    private List<Clinical> clinicals = new ArrayList<>();
}