package com.lantone.security.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;


/**
 * @Description: jwt 输出类
 * @author: gaodm
 * @time: 2018/8/2 14:22
 */
@Getter
@Setter
public class JwtDTO {
    private String accessToken;
    private String refreshToken;
    private Integer type; //用户类型
    private String typeCn; //用户类型中文
    //用户组织列表
    private List<HospitalDTO> organizes;
    //用户密码复杂度是否符合
//    private String passwordComplexity;
}
