package com.lantone.structure.client;


import com.lantone.structure.model.vo.CRFVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 调用条件随机场服务
 * @author: Mark Huang
 * @time: 2019/12/13 9:52
 */
@FeignClient(value = "CRF-service", url="${CRF.url}")
public interface CRFServiceClient {

    @PostMapping(value = "")
    String getAnnotation(@RequestBody CRFVo crfVo);
}



