package com.lantone.structure.client;


import com.alibaba.fastjson.JSONArray;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 调用新文本相似度服务
 * @author: 胡敬
 * @time: 2020/08/26 13:43
 */
@FeignClient(value = "Similarity-new-batch-service", url="${NewBatchSimilarity.url}")
public interface NewSimilarityBatchServiceClient {

    @PostMapping(value = "")
    String getAnnotation(@RequestBody JSONArray similarityVo);
}



