package com.lantone.structure.model.label;

import com.lantone.structure.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : CaesareanSectionLabel
 * @Description :
 * @Author : wsy
 * @Date: 2021-01-27 9:51
 */
@Getter
@Setter
public class CaesareanSectionLabel {
    private List<Diagnosis> diagnosis = new ArrayList<>();                  //诊断名称
    private AnesthesiaMethod anesthesiaMethod;                              //麻醉方法
    private AnestheticEffect anestheticEffect;                              //麻醉效果
    private List<UterusCondition> uterusConditions = new ArrayList<>();     //子宫情况
    private ChildbirthWay childbirthWay;                                    //胎儿娩出方式
    private AmnioticFluid amnioticFluid;                                    //羊水
    private List<ChildbirthCondition> childbirthConditions = new ArrayList<>();                    //胎盘娩出情况
    private Placenta placenta;                                              //胎盘
    private UmbilicalCord umbilicalCord;                                    //脐带
    private CordAroundNeck cordAroundNeck;                                  //脐带绕颈
    private CordAroundBody cordAroundBody;                                  //脐带绕身
    private List<UterineWallSuture> uterineWallSutures = new ArrayList<>(); //子宫壁缝合情况
    private List<UCAgent> uCAgents;                                         //宫缩剂名称
    private List<UterineCavityAbnormity> uterineCavityAbnormity = new ArrayList<>();               //宫腔探查异常情况描述
    private List<UterineCavityDispose> uterineCavityDispose = new ArrayList<>();                   //宫腔探查处理情况
    private List<PuerperaCondition> puerperaCondition = new ArrayList<>();                         //手术时产妇情况
    private Hemorrhage hemorrhage;                                          //术中出血
    private FluidInfusion fluidInfusion;                                    //补液
    private BloodPressure bloodPressure;                                    //血压情况
    private Newborn newborn;                                                //新生儿
    private List<ApgarScore> apgarScores = new ArrayList<>();               //Apgar评分
    private CaputSuccedaneum caputSuccedaneum;                              //产瘤
    private List<Drug> drugs = new ArrayList<>();                           //手术用药名称
    private Transfusion transfusion;                                        //输血成分

}