package com.lantone.structure.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AnalysisVO {

    @NotBlank(message = "文本类型必传！")
    @ApiModelProperty(value = "文本类型", required = true)
    private String type;

    @NotBlank(message = "文本内容必传！")
    @ApiModelProperty(value = "文本内容", required = true)
    private String text;

}